<!DOCTYPE html>
<html>

<head>
    <title>INF226 Tiny Registration</title>
    {% with messages = get_flashed_messages() %}
    {% if messages %}
      <ul class=flashes>
      {% for message in messages %}
        <li>{{ message }}</li>
      {% endfor %}
      </ul>
    {% endif %}
  {% endwith %}
  {% block body %}{% endblock %}
      <li>{{ message }}</li>
    <link rel="stylesheet" href="highlight.css" />
	<link rel="icon" href="favicon.png" type="image/png" />

    <style>
        * {
            box-sizing: border-box;
            ;
        }

        #page {
            height: 100vh;
            display: flex;
            flex-direction: column;
            ;
            padding: .5rem;
        }

        main {
            border-top: 1px solid grey;
            border-bottom: 1px solid grey;
            /* min-height: 50%; */
            flex-grow: 1;
            flex-shrink: 1;
            overflow:auto;
        }

        body {
            margin: 0;
        }

        label {
            justify-self: end;
            ;
        }

        #controls {
            /* min-height: 20%; */
            font-size: 1.4rem;
            display: grid;
            grid-template-columns: 1fr 6fr 1fr 1fr;
            grid-auto-rows: 1.4rem;
            ;
            grid-gap: .5rem;
            max-width: 70rem;

        }

        #output {
            width: 100%;
            height: 100%;
            background: #eee;
            overflow: auto;
            margin: 0;
        }
        #output p {
            border-bottom: 1px solid grey;
            padding-bottom: .25rem;
        }
        #header {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
        }

        #header li {
            display: block;
            font-style: italic;
            font-size: 1.2rem;
            padding: .25rem;
            margin:0 1rem;
        }
    </style>
</head>

<body>
   <h1>Register as a new user</h1>
   <div id="page">

    <form action="" method=post>
        <dl>
            {{ form.csrf_token }}
            
          <dt>Username:
          <dd>{{ form.username }}
          <dt>Password:
          <dd>{{ form.password }}
        </dl>
        <p>
          <input type=submit value=Register>
          <input type=hidden value="{{ next or '' }}" name=next>
    
   <!-- New button for going back to the login screen -->
   <button onclick="location.href= '/login'" type="button" id="loginBtn">Go back to login screen</button>
   </form>
    </div>
</body>